PS_STRINGWIDTH2(3)

NAME
PS_stringwidth2 — Gets width of a string

SYNOPSIS

#include <pslib.h>

float PS_stringwidth2(PSDoc *psdoc, const char *text, int len, int fontid, float size)

DESCRIPTION

Calculates the width of a string in points if it was output in the given font and font size. The function will not consider more than len characters. This function needs an Adobe font metrics file to calculate the precise width. If kerning is turned on, it will be taken into account.

RETURN VALUE

Width of a string in points.

SEE ALSO

PS_stringwidth(3), PS_string_geometry(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.